This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 803860 - Struts 2 application without struts.xml fails to deploy on EAP6
Struts 2 application without struts.xml fails to deploy on EAP6
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Struts (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
medium Severity medium
: ---
: 2.4.0
Assigned To: Karel Piwko
Emil Cervenan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 15:04 EDT by Karel Piwko
Modified: 2013-07-18 10:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Struts 2 application without the struts.xml descriptor will deploy on EAP6, however Actions are not properly mapped. There is no known workaround for this issue other then including the struts.xml file into your application.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 10:44:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-62 Major Closed Struts 2 application without struts.xml fails to deploy on EAP6 2013-11-19 05:10:17 EST

  None (edit)
Description Karel Piwko 2012-03-15 15:04:23 EDT
Tracker for upstream JIRA https://issues.apache.org/jira/browse/WW-3662
Comment 1 Karel Piwko 2012-03-16 09:38:51 EDT
This bug is fixed upstream. It can be fixed by using 2.3.2-SNAPSHOT dependencies instead of 2.3.1.2.
Comment 4 Karel Piwko 2012-06-21 08:34:55 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Struts 2 application without struts.xml descriptor does deploy on EAP6, however Actions are not properly mapped. There is no known workaround for this issue other then including struts.xml file.
Comment 5 Oliver Kišš 2013-03-01 13:32:07 EST
With EAP 6.0.1 and Struts 2.3.8 application deploys without struts.xml but Actions are still not mapped properly
Comment 7 Marek Schmidt 2013-07-18 10:44:56 EDT
Migrated to JIRA as https://issues.jboss.org/browse/WFK2-62

Note You need to log in before you can comment on or make changes to this bug.